﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.DragDrop;

namespace SilverlightApplication46
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            RadDragAndDropManager.AddDragQueryHandler(this.grid1, OnDragQuery);
            RadDragAndDropManager.AddDragQueryHandler(this.grid2, OnDragQuery);
        }

        public void OnDragQuery(object sender, DragDropQueryEventArgs args)
        {
            args.QueryResult = true;
            if (args.Options.DragCue == null)
            {
                args.Options.DragCue = new Grid { Width = 100, Height = 100, Background=new SolidColorBrush(Colors.Blue) };
            }
        }
    }
}
